summaryrefslogtreecommitdiff
path: root/configs/releng
diff options
context:
space:
mode:
authorDavid P <megver83@parabola.nu>2020-07-15 11:05:30 -0400
committerDavid P <megver83@parabola.nu>2020-07-15 11:05:30 -0400
commitf2d5583a9428f576a09023032a3e3bae95690b9a (patch)
tree25a98b2aa34e32e52fa87f25961fdee396003fa8 /configs/releng
parentff1afc970853f1e9aac03e3fec8a3e2730920651 (diff)
[releng][baseline] sync with archiso and archiso32
Signed-off-by: David P <megver83@parabola.nu>
Diffstat (limited to 'configs/releng')
l---------configs/releng/airootfs/etc/localtime1
l---------configs/releng/airootfs/etc/resolv.conf1
-rw-r--r--configs/releng/airootfs/etc/systemd/journald.conf.d/volatile-storage.conf2
-rw-r--r--configs/releng/airootfs/etc/systemd/logind.conf.d/do-not-suspend.conf4
-rw-r--r--configs/releng/airootfs/etc/systemd/network/20-ethernet.network10
-rw-r--r--configs/releng/airootfs/etc/systemd/network/20-wireless.network10
-rw-r--r--configs/releng/airootfs/etc/systemd/system/choose-mirror.service2
l---------configs/releng/airootfs/etc/systemd/system/dbus-org.freedesktop.network1.service1
l---------configs/releng/airootfs/etc/systemd/system/dbus-org.freedesktop.resolve1.service1
l---------configs/releng/airootfs/etc/systemd/system/default.target1
l---------configs/releng/airootfs/etc/systemd/system/multi-user.target.wants/choose-mirror.service1
l---------configs/releng/airootfs/etc/systemd/system/multi-user.target.wants/iwd.service1
l---------configs/releng/airootfs/etc/systemd/system/multi-user.target.wants/pacman-init.service1
l---------configs/releng/airootfs/etc/systemd/system/multi-user.target.wants/reflector.service1
l---------configs/releng/airootfs/etc/systemd/system/multi-user.target.wants/systemd-networkd.service1
l---------configs/releng/airootfs/etc/systemd/system/multi-user.target.wants/systemd-resolved.service1
l---------configs/releng/airootfs/etc/systemd/system/network-online.target.wants/systemd-networkd-wait-online.service1
-rw-r--r--configs/releng/airootfs/etc/systemd/system/reflector.service42
l---------configs/releng/airootfs/etc/systemd/system/sockets.target.wants/systemd-networkd.socket1
-rw-r--r--configs/releng/airootfs/etc/systemd/system/systemd-networkd-wait-online.service.d/wait-for-only-one-interface.conf3
-rw-r--r--configs/releng/airootfs/etc/udev/rules.d/81-dhcpcd.rules1
-rwxr-xr-xconfigs/releng/airootfs/root/.automated_script.sh4
-rwxr-xr-xconfigs/releng/airootfs/root/customize_airootfs.sh12
-rwxr-xr-xconfigs/releng/airootfs/usr/local/bin/choose-mirror (renamed from configs/releng/airootfs/etc/systemd/scripts/choose-mirror)0
-rwxr-xr-xconfigs/releng/build.sh234
-rw-r--r--configs/releng/efiboot/loader/entries/parabolaiso-x86_64-cd.conf2
-rw-r--r--configs/releng/efiboot/loader/entries/parabolaiso-x86_64-usb.conf2
-rw-r--r--configs/releng/efiboot/loader/entries/uefi-shell-v1-x86_64.conf2
-rw-r--r--configs/releng/efiboot/loader/entries/uefi-shell-v2-x86_64.conf2
-rw-r--r--configs/releng/efiboot/loader/loader.conf2
-rw-r--r--configs/releng/packages.both12
-rw-r--r--configs/releng/syslinux/parabolaiso_head.cfg2
32 files changed, 226 insertions, 135 deletions
diff --git a/configs/releng/airootfs/etc/localtime b/configs/releng/airootfs/etc/localtime
new file mode 120000
index 0000000..0e35b57
--- /dev/null
+++ b/configs/releng/airootfs/etc/localtime
@@ -0,0 +1 @@
+/usr/share/zoneinfo/UTC \ No newline at end of file
diff --git a/configs/releng/airootfs/etc/resolv.conf b/configs/releng/airootfs/etc/resolv.conf
new file mode 120000
index 0000000..3639662
--- /dev/null
+++ b/configs/releng/airootfs/etc/resolv.conf
@@ -0,0 +1 @@
+/run/systemd/resolve/stub-resolv.conf \ No newline at end of file
diff --git a/configs/releng/airootfs/etc/systemd/journald.conf.d/volatile-storage.conf b/configs/releng/airootfs/etc/systemd/journald.conf.d/volatile-storage.conf
new file mode 100644
index 0000000..b69850d
--- /dev/null
+++ b/configs/releng/airootfs/etc/systemd/journald.conf.d/volatile-storage.conf
@@ -0,0 +1,2 @@
+[Journal]
+Storage=volatile
diff --git a/configs/releng/airootfs/etc/systemd/logind.conf.d/do-not-suspend.conf b/configs/releng/airootfs/etc/systemd/logind.conf.d/do-not-suspend.conf
new file mode 100644
index 0000000..f3ecb39
--- /dev/null
+++ b/configs/releng/airootfs/etc/systemd/logind.conf.d/do-not-suspend.conf
@@ -0,0 +1,4 @@
+[Login]
+HandleSuspendKey=ignore
+HandleHibernateKey=ignore
+HandleLidSwitch=ignore
diff --git a/configs/releng/airootfs/etc/systemd/network/20-ethernet.network b/configs/releng/airootfs/etc/systemd/network/20-ethernet.network
new file mode 100644
index 0000000..37878b0
--- /dev/null
+++ b/configs/releng/airootfs/etc/systemd/network/20-ethernet.network
@@ -0,0 +1,10 @@
+[Match]
+Name=en*
+Name=eth*
+
+[Network]
+DHCP=yes
+IPv6PrivacyExtensions=yes
+
+[DHCP]
+RouteMetric=512
diff --git a/configs/releng/airootfs/etc/systemd/network/20-wireless.network b/configs/releng/airootfs/etc/systemd/network/20-wireless.network
new file mode 100644
index 0000000..e1d624c
--- /dev/null
+++ b/configs/releng/airootfs/etc/systemd/network/20-wireless.network
@@ -0,0 +1,10 @@
+[Match]
+Name=wlp*
+Name=wlan*
+
+[Network]
+DHCP=yes
+IPv6PrivacyExtensions=yes
+
+[DHCP]
+RouteMetric=1024
diff --git a/configs/releng/airootfs/etc/systemd/system/choose-mirror.service b/configs/releng/airootfs/etc/systemd/system/choose-mirror.service
index 1e4d771..b6a3562 100644
--- a/configs/releng/airootfs/etc/systemd/system/choose-mirror.service
+++ b/configs/releng/airootfs/etc/systemd/system/choose-mirror.service
@@ -4,7 +4,7 @@ ConditionKernelCommandLine=mirror
[Service]
Type=oneshot
-ExecStart=/etc/systemd/scripts/choose-mirror
+ExecStart=/usr/local/bin/choose-mirror
[Install]
WantedBy=multi-user.target
diff --git a/configs/releng/airootfs/etc/systemd/system/dbus-org.freedesktop.network1.service b/configs/releng/airootfs/etc/systemd/system/dbus-org.freedesktop.network1.service
new file mode 120000
index 0000000..4c158e6
--- /dev/null
+++ b/configs/releng/airootfs/etc/systemd/system/dbus-org.freedesktop.network1.service
@@ -0,0 +1 @@
+/usr/lib/systemd/system/systemd-networkd.service \ No newline at end of file
diff --git a/configs/releng/airootfs/etc/systemd/system/dbus-org.freedesktop.resolve1.service b/configs/releng/airootfs/etc/systemd/system/dbus-org.freedesktop.resolve1.service
new file mode 120000
index 0000000..4f6ae34
--- /dev/null
+++ b/configs/releng/airootfs/etc/systemd/system/dbus-org.freedesktop.resolve1.service
@@ -0,0 +1 @@
+/usr/lib/systemd/system/systemd-resolved.service \ No newline at end of file
diff --git a/configs/releng/airootfs/etc/systemd/system/default.target b/configs/releng/airootfs/etc/systemd/system/default.target
new file mode 120000
index 0000000..d321622
--- /dev/null
+++ b/configs/releng/airootfs/etc/systemd/system/default.target
@@ -0,0 +1 @@
+/usr/lib/systemd/system/multi-user.target \ No newline at end of file
diff --git a/configs/releng/airootfs/etc/systemd/system/multi-user.target.wants/choose-mirror.service b/configs/releng/airootfs/etc/systemd/system/multi-user.target.wants/choose-mirror.service
new file mode 120000
index 0000000..2d8d256
--- /dev/null
+++ b/configs/releng/airootfs/etc/systemd/system/multi-user.target.wants/choose-mirror.service
@@ -0,0 +1 @@
+../choose-mirror.service \ No newline at end of file
diff --git a/configs/releng/airootfs/etc/systemd/system/multi-user.target.wants/iwd.service b/configs/releng/airootfs/etc/systemd/system/multi-user.target.wants/iwd.service
new file mode 120000
index 0000000..3625abd
--- /dev/null
+++ b/configs/releng/airootfs/etc/systemd/system/multi-user.target.wants/iwd.service
@@ -0,0 +1 @@
+/usr/lib/systemd/system/iwd.service \ No newline at end of file
diff --git a/configs/releng/airootfs/etc/systemd/system/multi-user.target.wants/pacman-init.service b/configs/releng/airootfs/etc/systemd/system/multi-user.target.wants/pacman-init.service
new file mode 120000
index 0000000..d09eec6
--- /dev/null
+++ b/configs/releng/airootfs/etc/systemd/system/multi-user.target.wants/pacman-init.service
@@ -0,0 +1 @@
+../pacman-init.service \ No newline at end of file
diff --git a/configs/releng/airootfs/etc/systemd/system/multi-user.target.wants/reflector.service b/configs/releng/airootfs/etc/systemd/system/multi-user.target.wants/reflector.service
new file mode 120000
index 0000000..f5071ce
--- /dev/null
+++ b/configs/releng/airootfs/etc/systemd/system/multi-user.target.wants/reflector.service
@@ -0,0 +1 @@
+../reflector.service \ No newline at end of file
diff --git a/configs/releng/airootfs/etc/systemd/system/multi-user.target.wants/systemd-networkd.service b/configs/releng/airootfs/etc/systemd/system/multi-user.target.wants/systemd-networkd.service
new file mode 120000
index 0000000..4c158e6
--- /dev/null
+++ b/configs/releng/airootfs/etc/systemd/system/multi-user.target.wants/systemd-networkd.service
@@ -0,0 +1 @@
+/usr/lib/systemd/system/systemd-networkd.service \ No newline at end of file
diff --git a/configs/releng/airootfs/etc/systemd/system/multi-user.target.wants/systemd-resolved.service b/configs/releng/airootfs/etc/systemd/system/multi-user.target.wants/systemd-resolved.service
new file mode 120000
index 0000000..4f6ae34
--- /dev/null
+++ b/configs/releng/airootfs/etc/systemd/system/multi-user.target.wants/systemd-resolved.service
@@ -0,0 +1 @@
+/usr/lib/systemd/system/systemd-resolved.service \ No newline at end of file
diff --git a/configs/releng/airootfs/etc/systemd/system/network-online.target.wants/systemd-networkd-wait-online.service b/configs/releng/airootfs/etc/systemd/system/network-online.target.wants/systemd-networkd-wait-online.service
new file mode 120000
index 0000000..7d6ad92
--- /dev/null
+++ b/configs/releng/airootfs/etc/systemd/system/network-online.target.wants/systemd-networkd-wait-online.service
@@ -0,0 +1 @@
+/usr/lib/systemd/system/systemd-networkd-wait-online.service \ No newline at end of file
diff --git a/configs/releng/airootfs/etc/systemd/system/reflector.service b/configs/releng/airootfs/etc/systemd/system/reflector.service
new file mode 100644
index 0000000..dd37dd0
--- /dev/null
+++ b/configs/releng/airootfs/etc/systemd/system/reflector.service
@@ -0,0 +1,42 @@
+[Unit]
+Description=pacman mirrorlist update
+Wants=network-online.target
+After=network-online.target nss-lookup.target
+ConditionKernelCommandLine=!mirror
+
+[Service]
+Type=oneshot
+ExecStart=/usr/bin/reflector --protocol https --age 1 --sort rate --save /etc/pacman.d/mirrorlist
+Restart=on-failure
+RestartSec=10
+CacheDirectory=reflector
+CapabilityBoundingSet=~CAP_SETUID CAP_SETGID CAP_SETPCAP CAP_SYS_ADMIN CAP_SYS_PTRACE CAP_CHOWN CAP_FSETID CAP_SETFCAP CAP_DAC_OVERRIDE CAP_DAC_READ_SEARCH CAP_FOWNER CAP_IPC_OWNER CAP_NET_ADMIN CAP_SYS_TIME CAP_AUDIT_CONTROL CAP_AUDIT_READ CAP_AUDIT_WRITE CAP_KILL CAP_NET_BIND_SERVICE CAP_NET_BROADCAST CAP_NET_RAW CAP_SYS_NICE CAP_SYS_RESOURCE CAP_MAC_ADMIN CAP_MAC_OVERRIDE CAP_SYS_BOOT CAP_LINUX_IMMUTABLE CAP_IPC_LOCK CAP_SYS_CHROOT CAP_BLOCK_SUSPEND CAP_LEASE CAP_SYS_PACCT CAP_SYS_TTY_CONFIG CAP_WAKE_ALARM
+Environment=XDG_CACHE_HOME=/var/cache/reflector
+LockPersonality=true
+MemoryDenyWriteExecute=true
+NoNewPrivileges=true
+PrivateDevices=true
+PrivateTmp=true
+PrivateUsers=true
+ProtectClock=true
+ProtectControlGroups=true
+ProtectHome=true
+ProtectHostname=true
+ProtectKernelTunables=true
+ProtectKernelLogs=true
+ProtectKernelModules=true
+ProtectSystem=strict
+ReadWritePaths=/etc/pacman.d/mirrorlist
+ReadOnlyPaths=/etc/reflector/reflector.conf
+RemoveIPC=true
+RestrictAddressFamilies=~AF_AX25 AF_IPX AF_APPLETALK AF_X25 AF_DECnet AF_KEY AF_NETLINK AF_PACKET AF_RDS AF_PPPOX AF_LLC AF_IB AF_MPLS AF_CAN AF_TIPC AF_BLUETOOTH AF_ALG AF_VSOCK AF_KCM AF_UNIX AF_XDP
+RestrictNamespaces=true
+RestrictRealtime=true
+RestrictSUIDSGID=true
+SystemCallArchitectures=native
+SystemCallFilter=@system-service
+SystemCallFilter=~@resources @privileged
+UMask=177
+
+[Install]
+WantedBy=multi-user.target
diff --git a/configs/releng/airootfs/etc/systemd/system/sockets.target.wants/systemd-networkd.socket b/configs/releng/airootfs/etc/systemd/system/sockets.target.wants/systemd-networkd.socket
new file mode 120000
index 0000000..51942c8
--- /dev/null
+++ b/configs/releng/airootfs/etc/systemd/system/sockets.target.wants/systemd-networkd.socket
@@ -0,0 +1 @@
+/usr/lib/systemd/system/systemd-networkd.socket \ No newline at end of file
diff --git a/configs/releng/airootfs/etc/systemd/system/systemd-networkd-wait-online.service.d/wait-for-only-one-interface.conf b/configs/releng/airootfs/etc/systemd/system/systemd-networkd-wait-online.service.d/wait-for-only-one-interface.conf
new file mode 100644
index 0000000..c875311
--- /dev/null
+++ b/configs/releng/airootfs/etc/systemd/system/systemd-networkd-wait-online.service.d/wait-for-only-one-interface.conf
@@ -0,0 +1,3 @@
+[Service]
+ExecStart=
+ExecStart=/usr/lib/systemd/systemd-networkd-wait-online --any
diff --git a/configs/releng/airootfs/etc/udev/rules.d/81-dhcpcd.rules b/configs/releng/airootfs/etc/udev/rules.d/81-dhcpcd.rules
deleted file mode 100644
index 970da69..0000000
--- a/configs/releng/airootfs/etc/udev/rules.d/81-dhcpcd.rules
+++ /dev/null
@@ -1 +0,0 @@
-ACTION=="add", SUBSYSTEM=="net", ENV{SYSTEMD_WANTS}="dhcpcd@$name.service"
diff --git a/configs/releng/airootfs/root/.automated_script.sh b/configs/releng/airootfs/root/.automated_script.sh
index fb106da..0159a8f 100755
--- a/configs/releng/airootfs/root/.automated_script.sh
+++ b/configs/releng/airootfs/root/.automated_script.sh
@@ -15,8 +15,8 @@ automated_script ()
local script rt
script="$(script_cmdline)"
if [[ -n "${script}" && ! -x /tmp/startup_script ]]; then
- if [[ "${script}" =~ ^http:// || "${script}" =~ ^ftp:// ]]; then
- wget "${script}" --retry-connrefused -q -O /tmp/startup_script >/dev/null
+ if [[ "${script}" =~ ^((http|https|ftp)://) ]]; then
+ curl "${script}" --retry-connrefused -s -o /tmp/startup_script >/dev/null
rt=$?
else
cp "${script}" /tmp/startup_script
diff --git a/configs/releng/airootfs/root/customize_airootfs.sh b/configs/releng/airootfs/root/customize_airootfs.sh
index 2ebaa3b..dd8cefa 100755
--- a/configs/releng/airootfs/root/customize_airootfs.sh
+++ b/configs/releng/airootfs/root/customize_airootfs.sh
@@ -5,21 +5,13 @@ set -e -u
sed -i 's/#\(en_US\.UTF-8\)/\1/' /etc/locale.gen
locale-gen
-ln -sf /usr/share/zoneinfo/UTC /etc/localtime
-
usermod -s /usr/bin/zsh root
cp -aT /etc/skel/ /root/
chmod 700 /root
+# unset the root password
+passwd -d root
sed -i 's/#\(PermitRootLogin \).\+/\1yes/' /etc/ssh/sshd_config
sed -i "s/#Server/Server/g" /etc/pacman.d/mirrorlist
-sed -i 's/#\(Storage=\)auto/\1volatile/' /etc/systemd/journald.conf
-
-sed -i 's/#\(HandleSuspendKey=\)suspend/\1ignore/' /etc/systemd/logind.conf
-sed -i 's/#\(HandleHibernateKey=\)hibernate/\1ignore/' /etc/systemd/logind.conf
-sed -i 's/#\(HandleLidSwitch=\)suspend/\1ignore/' /etc/systemd/logind.conf
-
-systemctl enable multi-user.target pacman-init.service choose-mirror.service
-systemctl set-default multi-user.target
sed -i "s/_DATE_/$(date +%Y.%m.%d)/" /etc/motd
diff --git a/configs/releng/airootfs/etc/systemd/scripts/choose-mirror b/configs/releng/airootfs/usr/local/bin/choose-mirror
index 13c9f69..13c9f69 100755
--- a/configs/releng/airootfs/etc/systemd/scripts/choose-mirror
+++ b/configs/releng/airootfs/usr/local/bin/choose-mirror
diff --git a/configs/releng/build.sh b/configs/releng/build.sh
index 8b3fac5..f300c7e 100755
--- a/configs/releng/build.sh
+++ b/configs/releng/build.sh
@@ -10,11 +10,11 @@ iso_version=$(date +%Y.%m.%d)
install_dir=parabola
work_dir=work
out_dir=out
-gpg_key=
+gpg_key=""
arch=$(uname -m)
verbose=""
-script_path=$(readlink -f ${0%/*})
+script_path=$(readlink -f "${0%/*}")
# Init system. Options are:
# - openrc
@@ -49,188 +49,215 @@ _usage ()
echo " Default: ${out_dir}"
echo " -v Enable verbose output"
echo " -h This help message"
- exit ${1}
+ exit "${1}"
}
# Helper function to run make_*() only one time per architecture.
run_once() {
- if [[ ! -e ${work_dir}/build.${1}_${arch} ]]; then
- $1
- touch ${work_dir}/build.${1}_${arch}
+ if [[ ! -e "${work_dir}/build.${1}_${arch}" ]]; then
+ "$1"
+ touch "${work_dir}/build.${1}_${arch}"
fi
}
# Setup custom pacman.conf with current cache directories and custom mirrorlist.
make_pacman_conf() {
local _cache_dirs
- _cache_dirs=($(pacman -v 2>&1 | grep '^Cache Dirs:' | sed 's/Cache Dirs:\s*//g'))
- sed -r "s|^#?\\s*CacheDir.+|CacheDir = $(echo -n ${_cache_dirs[@]})|g" ${script_path}/pacman.conf > ${work_dir}/pacman.conf
+ _cache_dirs=("$(pacman -v 2>&1 | grep '^Cache Dirs:' | sed 's/Cache Dirs:\s*//g')")
+ sed -r "s|^#?\\s*CacheDir.+|CacheDir = $(echo -n "${_cache_dirs[@]}")|g" \
+ "${script_path}/pacman.conf" > "${work_dir}/pacman.conf"
}
# Base installation, plus needed packages (airootfs)
make_basefs() {
- setarch ${arch} mkparabolaiso ${verbose} -w "${work_dir}/${arch}" -C "${work_dir}/pacman.conf" -D "${install_dir}" -i "${init}" init
- setarch ${arch} mkparabolaiso ${verbose} -w "${work_dir}/${arch}" -C "${work_dir}/pacman.conf" -D "${install_dir}" -i "${init}" -p "haveged memtest86+ mkinitcpio-nfs-utils nbd zsh efitools" install
+ if [ -n "${verbose}" ]; then
+ arch="${arch}" mkparabolaiso -v -w "${work_dir}/${arch}" -C "${work_dir}/pacman.conf" -D "${install_dir}" -i "${init}" init
+ arch="${arch}" mkparabolaiso -v -w "${work_dir}/${arch}" -C "${work_dir}/pacman.conf" -D "${install_dir}" -i "${init}" \
+ -p "haveged memtest86+ mkinitcpio-nfs-utils nbd zsh" install
+ else
+ arch="${arch}" mkparabolaiso -w "${work_dir}/${arch}" -C "${work_dir}/pacman.conf" -D "${install_dir}" -i "${init}" init
+ arch="${arch}" mkparabolaiso -w "${work_dir}/${arch}" -C "${work_dir}/pacman.conf" -D "${install_dir}" -i "${init}" \
+ -p "haveged memtest86+ mkinitcpio-nfs-utils nbd zsh" install
+ fi
}
# Additional packages (airootfs)
make_packages() {
- setarch ${arch} mkparabolaiso ${verbose} -w "${work_dir}/${arch}" -C "${work_dir}/pacman.conf" -D "${install_dir}" -p "$(grep -h -v ^# ${script_path}/packages.{both,${arch}})" install
+ if [ -n "${verbose}" ]; then
+ arch="${arch}" mkparabolaiso -v -w "${work_dir}/${arch}" -C "${work_dir}/pacman.conf" -D "${install_dir}" \
+ -p "$(grep -h -v '^#' "${script_path}/packages.{both,${arch}}"| sed ':a;N;$!ba;s/\n/ /g')" install
+ else
+ arch="${arch}" mkparabolaiso -w "${work_dir}/${arch}" -C "${work_dir}/pacman.conf" -D "${install_dir}" \
+ -p "$(grep -h -v '^#' "${script_path}/packages.{both,${arch}}"| sed ':a;N;$!ba;s/\n/ /g')" install
+ fi
}
-# Needed packages for x86_64 EFI boot
-make_packages_efi() {
- setarch ${arch} mkparabolaiso ${verbose} -w "${work_dir}/${arch}" -C "${work_dir}/pacman.conf" -D "${install_dir}" -p "efitools" install
}
# Copy mkinitcpio parabolaiso hooks and build initramfs (airootfs)
make_setup_mkinitcpio() {
local _hook
- mkdir -p ${work_dir}/${arch}/airootfs/etc/initcpio/hooks
- mkdir -p ${work_dir}/${arch}/airootfs/etc/initcpio/install
+ mkdir -p "${work_dir}/${arch}/airootfs/etc/initcpio/hooks"
+ mkdir -p "${work_dir}/${arch}/airootfs/etc/initcpio/install"
for _hook in parabolaiso parabolaiso_shutdown parabolaiso_pxe_common parabolaiso_pxe_nbd parabolaiso_pxe_http parabolaiso_pxe_nfs parabolaiso_loop_mnt; do
- cp /usr/lib/initcpio/hooks/${_hook} ${work_dir}/${arch}/airootfs/etc/initcpio/hooks
- cp /usr/lib/initcpio/install/${_hook} ${work_dir}/${arch}/airootfs/etc/initcpio/install
+ cp "/usr/lib/initcpio/hooks/${_hook}" "${work_dir}/${arch}/airootfs/etc/initcpio/hooks"
+ cp "/usr/lib/initcpio/install/${_hook}" "${work_dir}/${arch}/airootfs/etc/initcpio/install"
done
- sed -i "s|/usr/lib/initcpio/|/etc/initcpio/|g" ${work_dir}/${arch}/airootfs/etc/initcpio/install/parabolaiso_shutdown
- cp /usr/lib/initcpio/install/parabolaiso_kms ${work_dir}/${arch}/airootfs/etc/initcpio/install
- cp /usr/lib/initcpio/parabolaiso_shutdown ${work_dir}/${arch}/airootfs/etc/initcpio
- cp ${script_path}/mkinitcpio.conf ${work_dir}/${arch}/airootfs/etc/mkinitcpio-parabolaiso.conf
- gnupg_fd=
- if [[ ${gpg_key} ]]; then
- gpg --export ${gpg_key} >${work_dir}/gpgkey
- exec 17<>${work_dir}/gpgkey
+ sed -i "s|/usr/lib/initcpio/|/etc/initcpio/|g" "${work_dir}/${arch}/airootfs/etc/initcpio/install/parabolaiso_shutdown"
+ cp /usr/lib/initcpio/install/parabolaiso_kms "${work_dir}/${arch}/airootfs/etc/initcpio/install"
+ cp /usr/lib/initcpio/parabolaiso_shutdown "${work_dir}/${arch}/airootfs/etc/initcpio"
+ cp "${script_path}/mkinitcpio.conf" "${work_dir}/${arch}/airootfs/etc/mkinitcpio-parabolaiso.conf"
+ if [[ "${gpg_key}" ]]; then
+ gpg --export "${gpg_key}" >"${work_dir}/gpgkey"
+ exec 17<>"${work_dir}/gpgkey"
fi
- PARABOLAISO_GNUPG_FD=${gpg_key:+17} setarch ${arch} mkparabolaiso ${verbose} -w "${work_dir}/${arch}" -C "${work_dir}/pacman.conf" -D "${install_dir}" -r 'mkinitcpio -c /etc/mkinitcpio-parabolaiso.conf -k /boot/vmlinuz-linux-libre -g /boot/parabolaiso.img' run
- if [[ ${gpg_key} ]]; then
+ if [ -n "${verbose}" ]; then
+ PARABOLAISO_GNUPG_FD="${gpg_key:+17}" arch="${arch}" mkparabolaiso -v -w "${work_dir}/${arch}" -C "${work_dir}/pacman.conf" \
+ -D "${install_dir}" \
+ -r 'mkinitcpio -c /etc/mkinitcpio-parabolaiso.conf -k /boot/vmlinuz-linux-libre -g /boot/parabolaiso.img' run
+ else
+ PARABOLAISO_GNUPG_FD="${gpg_key:+17}" arch="${arch}" mkparabolaiso -w "${work_dir}/${arch}" -C "${work_dir}/pacman.conf" \
+ -D "${install_dir}" \
+ -r 'mkinitcpio -c /etc/mkinitcpio-parabolaiso.conf -k /boot/vmlinuz-linux-libre -g /boot/parabolaiso.img' run
+ fi
+ if [[ "${gpg_key}" ]]; then
exec 17<&-
fi
}
# Customize installation (airootfs)
make_customize_airootfs() {
- cp -af ${script_path}/airootfs ${work_dir}/${arch}
-
- cp ${script_path}/pacman.conf ${work_dir}/${arch}/airootfs/etc
+ cp -af --no-preserve=ownership "${script_path}/airootfs" "${work_dir}/${arch}"
- curl -o ${work_dir}/${arch}/airootfs/etc/pacman.d/mirrorlist 'https://www.parabola.nu/mirrorlist/?country=all&protocol=http&use_mirror_status=on'
+ cp "${script_path}/pacman.conf" "${work_dir}/${arch}/airootfs/etc"
- lynx -dump -nolist 'https://wiki.parabola.nu/index.php/Installation_Guide?action=render' >> ${work_dir}/${arch}/airootfs/root/install.txt
+ lynx -dump -nolist 'https://wiki.parabola.nu/index.php/Installation_Guide?action=render' >> \
+ "${work_dir}/${arch}/airootfs/root/install.txt"
- setarch ${arch} mkparabolaiso ${verbose} -w "${work_dir}/${arch}" -C "${work_dir}/pacman.conf" -D "${install_dir}" -r '/root/customize_airootfs.sh' run
- rm ${work_dir}/${arch}/airootfs/root/customize_airootfs.sh
+ if [ -n "${verbose}" ]; then
+ arch="${arch}" mkparabolaiso -v -w "${work_dir}/${arch}" -C "${work_dir}/pacman.conf" -D "${install_dir}" \
+ -r '/root/customize_airootfs.sh' run
+ else
+ arch="${arch}" mkparabolaiso -w "${work_dir}/${arch}" -C "${work_dir}/pacman.conf" -D "${install_dir}" \
+ -r '/root/customize_airootfs.sh' run
+ fi
+ rm "${work_dir}/${arch}/airootfs/root/customize_airootfs.sh"
}
# Prepare kernel/initramfs ${install_dir}/boot/
make_boot() {
- mkdir -p ${work_dir}/iso/${install_dir}/boot/${arch}
- cp ${work_dir}/${arch}/airootfs/boot/parabolaiso.img ${work_dir}/iso/${install_dir}/boot/${arch}/parabolaiso.img
- cp ${work_dir}/${arch}/airootfs/boot/vmlinuz-linux-libre ${work_dir}/iso/${install_dir}/boot/${arch}/vmlinuz
+ mkdir -p "${work_dir}/iso/${install_dir}/boot/${arch}"
+ cp "${work_dir}/${arch}/airootfs/boot/parabolaiso.img" "${work_dir}/iso/${install_dir}/boot/${arch}/parabolaiso.img"
+ cp "${work_dir}/${arch}/airootfs/boot/vmlinuz-linux-libre" "${work_dir}/iso/${install_dir}/boot/${arch}/vmlinuz"
}
# Add other aditional/extra files to ${install_dir}/boot/
make_boot_extra() {
- cp ${work_dir}/${arch}/airootfs/boot/memtest86+/memtest.bin ${work_dir}/iso/${install_dir}/boot/memtest
- cp ${work_dir}/${arch}/airootfs/usr/share/licenses/common/GPL2/license.txt ${work_dir}/iso/${install_dir}/boot/memtest.COPYING
+ cp "${work_dir}/${arch}/airootfs/boot/memtest86+/memtest.bin" "${work_dir}/iso/${install_dir}/boot/memtest"
+ cp "${work_dir}/${arch}/airootfs/usr/share/licenses/common/GPL2/license.txt" \
+ "${work_dir}/iso/${install_dir}/boot/memtest.COPYING"
}
# Prepare /${install_dir}/boot/syslinux
make_syslinux() {
- _uname_r=$(file -b ${work_dir}/${arch}/airootfs/boot/vmlinuz-linux-libre| awk 'f{print;f=0} /version/{f=1}' RS=' ')
- mkdir -p ${work_dir}/iso/${install_dir}/boot/syslinux
- for _cfg in ${script_path}/syslinux/*.cfg; do
+ _uname_r=$(file -b "${work_dir}/${arch}/airootfs/boot/vmlinuz-linux-libre"| awk 'f{print;f=0} /version/{f=1}' RS=' ')
+ mkdir -p "${work_dir}/iso/${install_dir}/boot/syslinux"
+ for _cfg in "${script_path}/syslinux/"*.cfg; do
sed "s|%PARABOLAISO_LABEL%|${iso_label}|g;
- s|%INSTALL_DIR%|${install_dir}|g" ${_cfg} > ${work_dir}/iso/${install_dir}/boot/syslinux/${_cfg##*/}
+ s|%INSTALL_DIR%|${install_dir}|g" "${_cfg}" > "${work_dir}/iso/${install_dir}/boot/syslinux/${_cfg##*/}"
done
- cp ${script_path}/syslinux/splash.png ${work_dir}/iso/${install_dir}/boot/syslinux
- cp ${work_dir}/${arch}/airootfs/usr/lib/syslinux/bios/*.c32 ${work_dir}/iso/${install_dir}/boot/syslinux
- cp ${work_dir}/${arch}/airootfs/usr/lib/syslinux/bios/lpxelinux.0 ${work_dir}/iso/${install_dir}/boot/syslinux
- cp ${work_dir}/${arch}/airootfs/usr/lib/syslinux/bios/memdisk ${work_dir}/iso/${install_dir}/boot/syslinux
- mkdir -p ${work_dir}/iso/${install_dir}/boot/syslinux/hdt
- gzip -c -9 ${work_dir}/${arch}/airootfs/usr/lib/modules/${_uname_r}/modules.alias > ${work_dir}/iso/${install_dir}/boot/syslinux/hdt/modalias.gz
+ cp "${script_path}/syslinux/splash.png" "${work_dir}/iso/${install_dir}/boot/syslinux"
+ cp "${work_dir}/${arch}/airootfs/usr/lib/syslinux/bios/*.c32" "${work_dir}/iso/${install_dir}/boot/syslinux"
+ cp "${work_dir}/${arch}/airootfs/usr/lib/syslinux/bios/lpxelinux.0" "${work_dir}/iso/${install_dir}/boot/syslinux"
+ cp "${work_dir}/${arch}/airootfs/usr/lib/syslinux/bios/memdisk" "${work_dir}/iso/${install_dir}/boot/syslinux"
+ mkdir -p "${work_dir}/iso/${install_dir}/boot/syslinux/hdt"
+ gzip -c -9 "${work_dir}/${arch}/airootfs/usr/lib/modules/${_uname_r}/modules.alias" > \
+ "${work_dir}/iso/${install_dir}/boot/syslinux/hdt/modalias.gz"
}
# Prepare /isolinux
make_isolinux() {
- mkdir -p ${work_dir}/iso/isolinux
- sed "s|%INSTALL_DIR%|${install_dir}|g" ${script_path}/isolinux/isolinux.cfg > ${work_dir}/iso/isolinux/isolinux.cfg
- cp ${work_dir}/${arch}/airootfs/usr/lib/syslinux/bios/isolinux.bin ${work_dir}/iso/isolinux/
- cp ${work_dir}/${arch}/airootfs/usr/lib/syslinux/bios/isohdpfx.bin ${work_dir}/iso/isolinux/
- cp ${work_dir}/${arch}/airootfs/usr/lib/syslinux/bios/ldlinux.c32 ${work_dir}/iso/isolinux/
+ mkdir -p "${work_dir}/iso/isolinux"
+ sed "s|%INSTALL_DIR%|${install_dir}|g" \
+ "${script_path}/isolinux/isolinux.cfg" > "${work_dir}/iso/isolinux/isolinux.cfg"
+ cp "${work_dir}/${arch}/airootfs/usr/lib/syslinux/bios/isolinux.bin ${work_dir}/iso/isolinux/"
+ cp "${work_dir}/${arch}/airootfs/usr/lib/syslinux/bios/isohdpfx.bin ${work_dir}/iso/isolinux/"
+ cp "${work_dir}/${arch}/airootfs/usr/lib/syslinux/bios/ldlinux.c32 ${work_dir}/iso/isolinux/"
}
# Prepare /EFI
make_efi() {
- mkdir -p ${work_dir}/iso/EFI/boot
- cp ${work_dir}/x86_64/airootfs/usr/share/efitools/efi/PreLoader.efi ${work_dir}/iso/EFI/boot/bootx64.efi
- cp ${work_dir}/x86_64/airootfs/usr/share/efitools/efi/HashTool.efi ${work_dir}/iso/EFI/boot/
-
- cp ${work_dir}/x86_64/airootfs/usr/lib/systemd/boot/efi/systemd-bootx64.efi ${work_dir}/iso/EFI/boot/loader.efi
+ mkdir -p "${work_dir}/iso/EFI/boot"
+ cp "${work_dir}/x86_64/airootfs/usr/lib/systemd/boot/efi/systemd-bootx64.efi" \
+ "${work_dir}/iso/EFI/boot/bootx64.efi"
- mkdir -p ${work_dir}/iso/loader/entries
- cp ${script_path}/efiboot/loader/loader.conf ${work_dir}/iso/loader/
- cp ${script_path}/efiboot/loader/entries/uefi-shell-v2-x86_64.conf ${work_dir}/iso/loader/entries/
- cp ${script_path}/efiboot/loader/entries/uefi-shell-v1-x86_64.conf ${work_dir}/iso/loader/entries/
+ mkdir -p "${work_dir}/iso/loader/entries"
+ cp "${script_path}/efiboot/loader/loader.conf" "${work_dir}/iso/loader/"
sed "s|%PARABOLAISO_LABEL%|${iso_label}|g;
s|%INSTALL_DIR%|${install_dir}|g" \
- ${script_path}/efiboot/loader/entries/parabolaiso-x86_64-usb.conf > ${work_dir}/iso/loader/entries/parabolaiso-x86_64.conf
-
- # EFI Shell 2.0 for UEFI 2.3+
- curl -o ${work_dir}/iso/EFI/shellx64_v2.efi https://raw.githubusercontent.com/tianocore/edk2/edk2-stable201811/ShellBinPkg/UefiShell/X64/Shell.efi
- # EFI Shell 1.0 for non UEFI 2.3+
- curl -o ${work_dir}/iso/EFI/shellx64_v1.efi https://raw.githubusercontent.com/tianocore/edk2/edk2-stable201811/EdkShellBinPkg/FullShell/X64/Shell_Full.efi
+ "${script_path}/efiboot/loader/entries/parabolaiso-x86_64-usb.conf" > \
+ "${work_dir}/iso/loader/entries/parabolaiso-x86_64.conf"
- # Checksums for EFI Shell
- sed "s|shellx64|${work_dir}/iso/EFI/shellx64|" ${script_path}/SHA512SUMS | sha512sum --quiet -c -
+ # edk2-shell based UEFI shell
+ # shellx64.efi is picked up automatically when on /
+ cp /usr/share/edk2-shell/x64/Shell_Full.efi "${work_dir}/iso/shellx64.efi"
}
# Prepare efiboot.img::/EFI for "El Torito" EFI boot mode
make_efiboot() {
- mkdir -p ${work_dir}/iso/EFI/parabolaiso
- truncate -s 64M ${work_dir}/iso/EFI/parabolaiso/efiboot.img
- mkfs.fat -n PARABOLAISO_EFI ${work_dir}/iso/EFI/parabolaiso/efiboot.img
+ mkdir -p "${work_dir}/iso/EFI/parabolaiso"
+ truncate -s 64M "${work_dir}/iso/EFI/parabolaiso/efiboot.img"
+ mkfs.fat -n PARABOLAISO_EFI "${work_dir}/iso/EFI/parabolaiso/efiboot.img"
- mkdir -p ${work_dir}/efiboot
- mount ${work_dir}/iso/EFI/parabolaiso/efiboot.img ${work_dir}/efiboot
+ mkdir -p "${work_dir}/efiboot"
+ mount "${work_dir}/iso/EFI/parabolaiso/efiboot.img ${work_dir}/efiboot"
- mkdir -p ${work_dir}/efiboot/EFI/parabolaiso
- cp ${work_dir}/iso/${install_dir}/boot/x86_64/vmlinuz ${work_dir}/efiboot/EFI/parabolaiso/vmlinuz.efi
- cp ${work_dir}/iso/${install_dir}/boot/x86_64/parabolaiso.img ${work_dir}/efiboot/EFI/parabolaiso/parabolaiso.img
+ mkdir -p "${work_dir}/efiboot/EFI/parabolaiso"
+ cp "${work_dir}/iso/${install_dir}/boot/x86_64/vmlinuz" "${work_dir}/efiboot/EFI/parabolaiso/vmlinuz.efi"
+ cp "${work_dir}/iso/${install_dir}/boot/x86_64/parabolaiso.img" "${work_dir}/efiboot/EFI/parabolaiso/parabolaiso.img"
- mkdir -p ${work_dir}/efiboot/EFI/boot
- cp ${work_dir}/x86_64/airootfs/usr/share/efitools/efi/PreLoader.efi ${work_dir}/efiboot/EFI/boot/bootx64.efi
- cp ${work_dir}/x86_64/airootfs/usr/share/efitools/efi/HashTool.efi ${work_dir}/efiboot/EFI/boot/
+ mkdir -p "${work_dir}/efiboot/EFI/boot"
+ cp "${work_dir}/x86_64/airootfs/usr/lib/systemd/boot/efi/systemd-bootx64.efi" \
+ "${work_dir}/efiboot/EFI/boot/bootx64.efi"
- cp ${work_dir}/x86_64/airootfs/usr/lib/systemd/boot/efi/systemd-bootx64.efi ${work_dir}/efiboot/EFI/boot/loader.efi
-
- mkdir -p ${work_dir}/efiboot/loader/entries
- cp ${script_path}/efiboot/loader/loader.conf ${work_dir}/efiboot/loader/
- cp ${script_path}/efiboot/loader/entries/uefi-shell-v2-x86_64.conf ${work_dir}/efiboot/loader/entries/
- cp ${script_path}/efiboot/loader/entries/uefi-shell-v1-x86_64.conf ${work_dir}/efiboot/loader/entries/
+ mkdir -p "${work_dir}/efiboot/loader/entries"
+ cp "${script_path}/efiboot/loader/loader.conf" "${work_dir}/efiboot/loader/"
sed "s|%PARABOLAISO_LABEL%|${iso_label}|g;
s|%INSTALL_DIR%|${install_dir}|g" \
- ${script_path}/efiboot/loader/entries/parabolaiso-x86_64-cd.conf > ${work_dir}/efiboot/loader/entries/parabolaiso-x86_64.conf
+ "${script_path}/efiboot/loader/entries/parabolaiso-x86_64-cd.conf" > \
+ "${work_dir}/efiboot/loader/entries/parabolaiso-x86_64.conf"
- cp ${work_dir}/iso/EFI/shellx64_v2.efi ${work_dir}/efiboot/EFI/
- cp ${work_dir}/iso/EFI/shellx64_v1.efi ${work_dir}/efiboot/EFI/
+ # shellx64.efi is picked up automatically when on /
+ cp "${work_dir}/iso/shellx64.efi" "${work_dir}/efiboot/"
- umount -d ${work_dir}/efiboot
+ umount -d "${work_dir}/efiboot"
}
# Build airootfs filesystem image
make_prepare() {
- cp -a -l -f ${work_dir}/${arch}/airootfs ${work_dir}
- setarch ${arch} mkparabolaiso ${verbose} -w "${work_dir}" -D "${install_dir}" pkglist
- setarch ${arch} mkparabolaiso ${verbose} -w "${work_dir}" -D "${install_dir}" ${gpg_key:+-g ${gpg_key}} prepare
- rm -rf ${work_dir}/airootfs
- # rm -rf ${work_dir}/${arch}/airootfs (if low space, this helps)
+ cp -a -l -f "${work_dir}/${arch}/airootfs" "${work_dir}"
+ if [ -n "${verbose}" ]; then
+ arch="${arch}" mkparabolaiso -v -w "${work_dir}" -D "${install_dir}" pkglist
+ arch="${arch}" mkparabolaiso -v -w "${work_dir}" -D "${install_dir}" ${gpg_key:+-g ${gpg_key}} prepare
+ else
+ arch="${arch}" mkparabolaiso -w "${work_dir}" -D "${install_dir}" pkglist
+ arch="${arch}" mkparabolaiso -w "${work_dir}" -D "${install_dir}" ${gpg_key:+-g ${gpg_key}} prepare
+ fi
+ rm -rf "${work_dir}/airootfs"
+ # rm -rf "${work_dir}/${arch}/airootfs" (if low space, this helps)
}
# Build ISO
make_iso() {
- setarch ${arch} mkparabolaiso ${verbose} -w "${work_dir}" -D "${install_dir}" -L "${iso_label}" -P "${iso_publisher}" -A "${iso_application}" -o "${out_dir}" iso "${iso_name}-${iso_version}-dual.iso"
+ if [ -n "${verbose}" ]; then
+ arch="${arch}" mkparabolaiso -v -w "${work_dir}" -D "${install_dir}" -L "${iso_label}" -P "${iso_publisher}" \
+ -A "${iso_application}" -o "${out_dir}" iso "${iso_name}-${iso_version}-dual.iso"
+ else
+ arch="${arch}" mkparabolaiso -w "${work_dir}" -D "${install_dir}" -L "${iso_label}" -P "${iso_publisher}" \
+ -A "${iso_application}" -o "${out_dir}" iso "${iso_name}-${iso_version}-dual.iso"
+ fi
}
if [[ ${EUID} -ne 0 ]]; then
@@ -238,11 +265,6 @@ if [[ ${EUID} -ne 0 ]]; then
_usage 1
fi
-if [[ ${arch} != x86_64 ]]; then
- echo "This script needs to be run on x86_64"
- _usage 1
-fi
-
while getopts 'N:V:L:P:A:D:w:o:g:vh' arg; do
case "${arg}" in
N) iso_name="${OPTARG}" ;;
@@ -263,7 +285,7 @@ while getopts 'N:V:L:P:A:D:w:o:g:vh' arg; do
esac
done
-mkdir -p ${work_dir}
+mkdir -p "${work_dir}"
run_once make_pacman_conf
@@ -273,8 +295,6 @@ for arch in i686 x86_64; do
run_once make_packages
done
-run_once make_packages_efi
-
for arch in i686 x86_64; do
run_once make_setup_mkinitcpio
run_once make_customize_airootfs
diff --git a/configs/releng/efiboot/loader/entries/parabolaiso-x86_64-cd.conf b/configs/releng/efiboot/loader/entries/parabolaiso-x86_64-cd.conf
index 057e14f..bbaa8f5 100644
--- a/configs/releng/efiboot/loader/entries/parabolaiso-x86_64-cd.conf
+++ b/configs/releng/efiboot/loader/entries/parabolaiso-x86_64-cd.conf
@@ -1,4 +1,4 @@
-title Parabola GNU/Linux-libre parabolaiso x86_64 UEFI CD
+title Parabola GNU/Linux-libre install medium (x86_64, UEFI)
linux /EFI/parabolaiso/vmlinuz.efi
initrd /EFI/parabolaiso/parabolaiso.img
options parabolaisobasedir=%INSTALL_DIR% parabolaisolabel=%PARABOLAISO_LABEL%
diff --git a/configs/releng/efiboot/loader/entries/parabolaiso-x86_64-usb.conf b/configs/releng/efiboot/loader/entries/parabolaiso-x86_64-usb.conf
index 3863799..cb8af3d 100644
--- a/configs/releng/efiboot/loader/entries/parabolaiso-x86_64-usb.conf
+++ b/configs/releng/efiboot/loader/entries/parabolaiso-x86_64-usb.conf
@@ -1,4 +1,4 @@
-title Parabola GNU/Linux-libre parabolaiso x86_64 UEFI USB
+title Parabola GNU/Linux-libre install medium (x86_64, UEFI)
linux /%INSTALL_DIR%/boot/x86_64/vmlinuz
initrd /%INSTALL_DIR%/boot/x86_64/parabolaiso.img
options parabolaisobasedir=%INSTALL_DIR% parabolaisolabel=%PARABOLAISO_LABEL%
diff --git a/configs/releng/efiboot/loader/entries/uefi-shell-v1-x86_64.conf b/configs/releng/efiboot/loader/entries/uefi-shell-v1-x86_64.conf
deleted file mode 100644
index 9597ff2..0000000
--- a/configs/releng/efiboot/loader/entries/uefi-shell-v1-x86_64.conf
+++ /dev/null
@@ -1,2 +0,0 @@
-title UEFI Shell x86_64 v1
-efi /EFI/shellx64_v1.efi
diff --git a/configs/releng/efiboot/loader/entries/uefi-shell-v2-x86_64.conf b/configs/releng/efiboot/loader/entries/uefi-shell-v2-x86_64.conf
deleted file mode 100644
index 0dde77a..0000000
--- a/configs/releng/efiboot/loader/entries/uefi-shell-v2-x86_64.conf
+++ /dev/null
@@ -1,2 +0,0 @@
-title UEFI Shell x86_64 v2
-efi /EFI/shellx64_v2.efi
diff --git a/configs/releng/efiboot/loader/loader.conf b/configs/releng/efiboot/loader/loader.conf
index ba02c50..ea91d51 100644
--- a/configs/releng/efiboot/loader/loader.conf
+++ b/configs/releng/efiboot/loader/loader.conf
@@ -1,2 +1,2 @@
timeout 3
-default parabolaiso-x86_64
+default parabolaiso-x86_64.conf
diff --git a/configs/releng/packages.both b/configs/releng/packages.both
index bd703e1..fd4c2e5 100644
--- a/configs/releng/packages.both
+++ b/configs/releng/packages.both
@@ -11,6 +11,7 @@ dmraid
dnsmasq
dnsutils
dosfstools
+efibootmgr
elinks
ethtool
exfat-utils
@@ -20,7 +21,6 @@ gnu-netcat
gpm
gptfdisk
grml-zsh-config
-grub
hdparm
irssi
iwd
@@ -28,8 +28,8 @@ jfsutils
lftp
linux-atm
linux-libre-firmware
-lsscsi
lvm2
+lsscsi
man-db
man-pages
mc
@@ -37,12 +37,11 @@ mdadm
mtools
nano
ndisc6
-netctl
nfs-utils
nilfs-utils
nmap
ntfs-3g
-ntp
+nvme-cli
openconnect
openssh
openvpn
@@ -51,22 +50,21 @@ parted
partimage
ppp
pptpclient
-refind-efi
reiserfsprogs
rp-pppoe
+reflector
rsync
sdparm
sg3_utils
smartmontools
sudo
+systemd-resolvconf
tcpdump
testdisk
usb_modeswitch
usbutils
-vi
vim-minimal
vpnc
-wget
wireless-regdb
wireless_tools
wpa_supplicant
diff --git a/configs/releng/syslinux/parabolaiso_head.cfg b/configs/releng/syslinux/parabolaiso_head.cfg
index a245309..657eeea 100644
--- a/configs/releng/syslinux/parabolaiso_head.cfg
+++ b/configs/releng/syslinux/parabolaiso_head.cfg
@@ -23,3 +23,5 @@ MENU COLOR timeout_msg 35;40 #ff777caa #00000000 std
MENU COLOR timeout 1;35;40 #ff777caa #00000000 std
MENU COLOR msg07 35;40 #ff777caa #a0000000 std
MENU COLOR tabmsg 35;40 #ff777caa #00000000 std
+
+MENU CLEAR